/*
Filename: bram32x16.v 
Version: 1.0 

Date: April 2000
                                            
Description: Instantiate the Core Generator macro. The top-level
		 file top_bram32x16.v instantiates this file.

---------------------------------------------------------------------
XAPP 410                                 
Simulating a 3.1i Core generator Verilog Design
                                           
Instantiate a Core Generator BRAM configured 
as 32x16 and a bi-directional bus for the DATA in/out.       
Compare Data data files being written out. Observe the 
testbench read in a file and do a check with simulation 
results.
 
Limited Warranty and Disclaimer. These designs are provided to you 
as is. Xilinx and its licensors make and you receive no warranties 
or conditions, express, implied, statutory or otherwise, and Xilinx 
specifically disclaims any implied warranties of merchantability, 
non-infringement, or fitness for a particular purpose. Xilinx does 
not warrant that the functions contained in these designs will meet 
your requirements, or that the operation of these designs will be 
uninterrupted or error free, or that defects in the Designs will be 
corrected. Furthermore, Xilinx does not warrant or make any 
representations regarding use or the results of the use of the 
designs in terms of correctness, accuracy, reliability, or otherwise. 
 
Limitation of Liability. In no event will Xilinx or its licensors be 
liable for any loss of data, lost profits, cost or procurement of 
substitute goods or services, or for any special, incidental, 
consequential, or indirect damages arising from the use or operation 
of the designs or accompanying documentation, however caused and on 
any theory of liability. This limitation will apply even if Xilinx 
has been advised of the possibility of such damage. This limitation 
shall apply not-withstanding the failure of the essential purpose of 
any limited remedies herein. 

---------------------------------------------------------------------
*/

module bram32x16 (CLK, DIA, DIB, DOA, DOB, ADDRA, WEA, ADDRB, WEB);
input [4:0] ADDRA, ADDRB;
input CLK, WEA, WEB;
input [15:0] DIA, DIB;
output [15:0] DOA, DOB;

// Dual-port 512-bit Block RAM
core32x16 U0 (.DOA (DOA), .DOB (DOB), .ADDRA (ADDRA),
  .DIA (DIA), .CLKA (CLK), .WEA (WEA), .ADDRB (ADDRB),
  .DIB (DIB), .CLKB (CLK), .WEB (WEB));

// synthesis attribute fpga_dont_touch of U0 is "true"

endmodule
