/*
Filename: core32x16.v 
Version: 1.0 

Date: April 2000
                                            
Description: Module for the Core Generator macro core32x16, which
		 contains all the parameters to pass to the simulation
		 model. The file bram32x16.v instantiates this file.

---------------------------------------------------------------------
XAPP 410                                 
Simulating a 3.1i Core generator Verilog Design
                                           
Instantiate a Core Generator BRAM configured 
as 32x16 and a bi-directional bus for the DATA in/out.       
Compare Data data files being written out. Observe the 
testbench read in a file and do a check with simulation 
results.
 
Limited Warranty and Disclaimer. These designs are provided to you 
as is. Xilinx and its licensors make and you receive no warranties 
or conditions, express, implied, statutory or otherwise, and Xilinx 
specifically disclaims any implied warranties of merchantability, 
non-infringement, or fitness for a particular purpose. Xilinx does 
not warrant that the functions contained in these designs will meet 
your requirements, or that the operation of these designs will be 
uninterrupted or error free, or that defects in the Designs will be 
corrected. Furthermore, Xilinx does not warrant or make any 
representations regarding use or the results of the use of the 
designs in terms of correctness, accuracy, reliability, or otherwise. 
 
Limitation of Liability. In no event will Xilinx or its licensors be 
liable for any loss of data, lost profits, cost or procurement of 
substitute goods or services, or for any special, incidental, 
consequential, or indirect damages arising from the use or operation 
of the designs or accompanying documentation, however caused and on 
any theory of liability. This limitation will apply even if Xilinx 
has been advised of the possibility of such damage. This limitation 
shall apply not-withstanding the failure of the essential purpose of 
any limited remedies herein. 

---------------------------------------------------------------------
*/

module core32x16 ( ADDRA, CLKA, ADDRB, CLKB, DIA, WEA, DIB, WEB, DOA, DOB);
input [4 : 0] ADDRA;
input CLKA;
input [4 : 0] ADDRB;
input CLKB;
input [15 : 0] DIA;
input WEA;
input [15 : 0] DIB;
input WEB;
output [15 : 0] DOA;
output [15 : 0] DOB;

// synopsys translate_off
	C_MEM_DP_BLOCK_V1_0 #( 5, 5, 1, 1, "0", 32, 32, 1, 1, 1, 1,
		1, 1, 1, 0, 0, 0, 0, 1, 1, "core32x16.mif", 16, 0,
		1, 1, 1, 1, 1, 16, 16)
inst ( .ADDRA(ADDRA), .CLKA(CLKA), .ADDRB(ADDRB), .CLKB(CLKB), .DIA(DIA), .WEA(WEA), .DIB(DIB), .WEB(WEB), .DOA(DOA), .DOB(DOB));
// synopsys translate_on

endmodule
